<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="Containers\KafkaSetup\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Confluent.Kafka" Version="1.7.0" />
    <PackageReference Include="Confluent.SchemaRegistry" Version="1.7.0" />
    <PackageReference Include="Confluent.SchemaRegistry.Serdes.Avro" Version="1.7.0" />
    <PackageReference Include="Serilog" Version="2.10.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="4.1.0" />
    <PackageReference Include="Serilog.Enrichers.Thread" Version="3.1.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="4.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocumentManagement.Kafka\DocumentManagement.Kafka.csproj" />
    <ProjectReference Include="..\DocumentManagement.DataManager\DocumentManagement.DataManager.csproj" />
    <ProjectReference Include="..\DocumentManagement.Models\DocumentManagement.Models.csproj" />
  </ItemGroup>

</Project>
